#include <glad/glad.h>
#include <MyGraphicsEngine/Shader.h>
#include <MyGraphicsEngine/Window.h>
#include <string>

int main (int argc, char *argv[] ){


    BarinkWindow GameWindow(800, 600);

    
    if (!gladLoadGLLoader((GLADloadproc)glfwGetProcAddress)){
        printf("Failed to initialize GLAD!\n");
        return -1;
    }
    std::string vertexShaderSource = "build/SandboxApplication/Debug/test.vs";
    std::string fragmentShaderSource = "build/SandboxApplication/Debug/test.fs";
    Shader(vertexShaderSource, fragmentShaderSource);


    GameWindow.EnterLoop();
}

